Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io
Class FeedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.syndication.io.FeedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ParsingFeedException

    public class FeedException

extends Exception

Exception thrown by WireFeedInput, WireFeedOutput, WireFeedParser and WireFeedGenerator instances if they can not parse or generate a feed.

Author:
  Alejandro Abdelnur
See Also:
  Serialized Form

Constructor Summary
`FeedException(String msg)` Creates a FeedException with a message.
`FeedException(String msg, Throwable rootCause)` Creates a FeedException with a message and a root cause exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeedException

    public FeedException(String msg)

  Creates a FeedException with a message.

  Parameters:
    `msg` - exception message.

### FeedException

    public FeedException(String msg,
                         Throwable rootCause)

  Creates a FeedException with a message and a root cause exception.

  Parameters:
    `msg` - exception message.
    `rootCause` - root cause exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.